# -*- coding: utf-8 -*-
# Copyright (C) 2008,2009 Sebastian Pölsterl
#
# This file is part of GNOME DVB Daemon.
#
# GNOME DVB Daemon is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GNOME DVB Daemon is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNOME DVB Daemon.  If not, see <http://www.gnu.org/licenses/>.

import gtk
from gettext import gettext as _
        
class CalendarDialog(gtk.Dialog):

    def __init__(self, parent):
        gtk.Dialog.__init__(self, title=_("Pick a date"), parent=parent,
            flags=gtk.DIALOG_MODAL | gtk.DIALOG_DESTROY_WITH_PARENT)     
        
        self.set_position(gtk.WIN_POS_MOUSE)
        self.add_button(gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT)
        ok_button = self.add_button(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT)
        ok_button.grab_default()
        
        self.calendar = gtk.Calendar()
        self.calendar.show()
        self.vbox.add(self.calendar)
        
    def get_date(self):
        return self.calendar.get_date()

